Subject: Re: [PATCH] pcnet32: fix a logic error with pci_set_dma_mask

From: Geliang Tang <[email-masked]>
Date: Mon, 23 Nov 2015 20:05:06 -0800

On Wed, Oct 21, 2015 at 09:01:26PM -0700, Don Fry wrote:
> On Mon, 2015-10-12 at 05:38 -0700, David Miller wrote:
> > From: Geliang Tang <[email-masked]>
> > Date: Fri,  9 Oct 2015 03:45:39 -0700
> > 
> > > pcnet32 can't work on my machine recently. It says "architecture
> > > does not support 32bit PCI busmaster DMA". There is a logic error
> > > in it: pci_set_dma_mask() return 0 means return successfully.
> > > 
> > > Signed-off-by: Geliang Tang <[email-masked]>
> > 
> > This driver doesn't call pci_set_dma_mask() in any of my tree(s).
> I failed.  My system with pcnet32 boards was down with a dead power
> supply and a visual review was not good enough.  I missed that
> pci_dma_supported returns 1 on success and pci_set_dma_mask returns 0 on
> success.  The original patch needs to have the ! removed as Geliang Tang
> points out.
> 
> Acked-by:  Don Fry <[email-masked]>

Hi:

It has been a month since I submitted this patch. I'm wondering is it
still valid and wether it will be applied? 

A recent commit targeting at the same problem (commit 1a47de6 various:
fix pci_set_dma_mask return value checking) has been applied. But my
commit, which I reported and submitted earlier, hasn't been applied. I'd
like to know if there's anything wrong with it? 

Thank you!

- Geliang Tang